<%@ Page Language="vb" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        BindData()
      End If
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dlTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dlTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub

</script>
<asp:DataList id="dlTitles" runat="server"
    Font-Name="verdana" Font-Size="10pt" RepeatColumns="3"
    AlternatingItemStyle-BackColor="#eeeeee">
  <ItemTemplate>
    <b><%# DataBinder.Eval(Container.DataItem, "title") %></b><br />
    Retailing for <%# DataBinder.Eval(Container.DataItem, "price", "{0:c}") %><br />
    Published on <%# DataBinder.Eval(Container.DataItem, "pubdate", "{0:d}") %><br />
    <%# DataBinder.Eval(Container.DataItem, "ytd_sales", "{0:#,###}") %> copies sold    
  </ItemTemplate>
</asp:DataList>