<%@ Page Language="vb" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(sender as Object, e as EventArgs)
           If Not Page.IsPostBack then
             BindData()
           End If
         End Sub
    
    
         Sub BindData()
           '1. Create a connection
            Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
            Dim objConn as New SqlConnection(strConnString)
    
           '2. Create a command object for the query
           Const strSQL as String = "SELECT * FROM titles"
           Dim objCmd as New SqlCommand(strSQL, objConn)
    
           objConn.Open()   'Open the connection
    
           'Finally, specify the DataSource and call DataBind()
           dlTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
           dlTitles.DataBind()
    
           objConn.Close()   'Close the connection
         End Sub
    
    
         Sub dlTitles_DataBound(sender as Object, e as DataListItemEventArgs)
           'Add a client-side onclick event handler to the Details button
           'First, make sure that we're not dealing with a header or footer item
          If e.Item.ItemType <> ListItemType.Header AND _
                 e.Item.ItemType <> ListItemType.Footer then
             Dim price as Object
             price = DataBinder.Eval(e.Item.DataItem, "price")
    
             If Not price.Equals(DBNull.Value) then
               If Convert.ToDouble(price) > 20.0 then
                 e.Item.BackColor = Color.Yellow
               End If
             End If
           End If
         End Sub
</script>

<asp:DataList id="dlTitles" runat="server"
    Font-Name="verdana" Font-Size="10pt"    
    OnItemDataBound="dlTitles_DataBound"
    RepeatColumns="3">
  <ItemTemplate>
    <b><%# DataBinder.Eval(Container.DataItem, "title") %></b><br />
    Retailing for <%# DataBinder.Eval(Container.DataItem, "price", "{0:c}") %><br />
  </ItemTemplate>
</asp:DataList>
