<%@ Register TagPrefix="custCols" Namespace="SimpleColumn" Assembly="SimpleColumn" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">

    Sub Page_Load(sender as Object, e as EventArgs)
      BindData()
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub

</script>

<asp:DataGrid runat="server" id="dgTitles"
      AutoGenerateColumns="False"
      Font-Name="Verdana"  Font-Size="9pt"
      HeaderStyle-HorizontalAlign="Center"
      HeaderStyle-Font-Bold="True"
      AlternatingItemStyle-BackColor="#eeeeee">
  <Columns>
     <custCols:LimitColumn HeaderText="Title"
          CharacterLimit="15" DataField="title" />
     <asp:BoundColumn DataField="price" HeaderText="Price" />
  </Columns>
</asp:DataGrid>
