<%@ Register TagPrefix="custCols" Namespace="SimpleColumn" Assembly="SimpleColumn" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">

    Sub Page_Load(sender as Object, e as EventArgs)
      BindData()
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
</script>

<form runat="server">
<asp:DataGrid runat="server" id="dgTitles"
    AutoGenerateColumns="False"
    Font-Name="Verdana"  Font-Size="9pt"
    HeaderStyle-HorizontalAlign="Center"
    HeaderStyle-Font-Bold="True"
    HeaderStyle-BackColor="Navy" HeaderStyle-ForeColor="White"
    AlternatingItemStyle-BackColor="#eeeeee">
<Columns>
    <asp:TemplateColumn>
        <ItemTemplate>
        <asp:RadioButton runat="server" ID="myRadioButton"
                GroupName="titleChoice" />
        </ItemTemplate>
    </asp:TemplateColumn>
    <asp:BoundColumn HeaderText="Title" DataField="title" />     
    <asp:BoundColumn DataField="price" HeaderText="Price"
            DataFormatString="{0:c}" />
</Columns>
</asp:DataGrid>
</form>
