<%@ Page Language="C#" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="C#">

    void Page_Load(object sender, EventArgs e)
    {
      if (!Page.IsPostBack)
        BindData();
    }
    
    
    void BindData()
    {
      // 1. Create a connection
      const string strConnString = "server=localhost;uid=sa;pwd=;database=pubs";
      SqlConnection objConn = new SqlConnection(strConnString);
    
      // 2. Create a command object for the query
      const string strSQL = "SELECT * FROM titles";
      SqlCommand objCmd = new SqlCommand(strSQL, objConn);
    
      objConn.Open();   // Open the connection
    
      //F inally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection);
      dgTitles.DataBind();
    
      objConn.Close();   // Close the connection
    }
    
</script>
<form runat="server">
  <asp:DataGrid AutoGenerateColumns="False"
      runat="server" id="dgTitles"
      Font-Name="Verdana" Font-Size="9pt">
      
     <SelectedItemStyle BackColor="#dddddd" Font-Italic="True"
          Font-Size="15pt" />
     
     <HeaderStyle BackColor="Navy" ForeColor="White"
          Font-Bold="True" HorizontalAlign="Center"
          Font-Size="11pt" />
     
     <Columns>
       <asp:ButtonColumn Text="Details" CommandName="Select"
              HeaderText="View Details" ItemStyle-HorizontalAlign="Center" />
       <asp:BoundColumn DataField="Title" HeaderText="Title" />
     </Columns> 
  </asp:DataGrid>
</form>
