<%@ Page Language="vb" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        ViewState("titleSortDirection") = "ASC"
        ViewState("priceSortDirection") = "ASC"
    
        BindData("title " & ViewState("titleSortDirection"))
    
        SwapDirection("titleSortDirection")
      End If
    End Sub
    
    
    Sub SwapDirection(viewStateKey as String)
      If ViewState(viewStateKey) = "ASC" then
        ViewState(viewStateKey) = "DESC"
      Else
        ViewState(viewStateKey) = "ASC"
      End If
    End Sub
    
    
    
    Sub BindData(SortFieldName as String)
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Dim strSQL as String
      strSQL = "SELECT title, price, pubdate " & _
               "FROM titles " & _
               "ORDER BY " & SortFieldName
    
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    
    Sub SortDataGrid(sender as Object, e as DataGridSortCommandEventArgs)
      BindData(e.SortExpression & " " & ViewState(e.SortExpression & "SortDirection"))
    
      SwapDirection(e.SortExpression & "SortDirection")
    End Sub

</script>
<form runat="server">
  <asp:DataGrid runat="server" id="dgTitles"
      Font-Name="Verdana" Font-Size="9pt" CellPadding="5"
      AlternatingItemStyle-BackColor="#dddddd"
      AllowSorting="True" AutoGenerateColumns="False"
      OnSortCommand="SortDataGrid">

    <HeaderStyle BackColor="Navy" ForeColor="White" Font-Size="13pt"
              Font-Bold="True" HorizontalAlign="Center" />
              
    <Columns>
      <asp:BoundColumn DataField="title" HeaderText="Title"
              SortExpression="title" />
      <asp:BoundColumn DataField="price" HeaderText="Price"
              SortExpression="price" DataFormatString="{0:c}"
              ItemStyle-HorizontalAlign="Right" />
      <asp:BoundColumn DataField="pubdate" HeaderText="Published Date" />
    </Columns>
  </asp:DataGrid>
</form>
