<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        BindData()
      End If
    End Sub


    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    
    Sub dgTitles_ItemCommand(sender as Object, e as DataGridCommandEventArgs)
      Dim strTitle as String
      strTitle = e.Item.Cells(1).Text
      Response.Write("Adding <i>" & strTitle & "</i> to your shopping cart")
    End Sub

</script>

<form runat="server">
  <asp:datagrid id="dgTitles" runat="server"
      AutoGenerateColumns="False"
      Font-Name="Verdana" Width="50%"
      HorizontalAlign="Center" ItemStyle-Font-Size="9"
      OnItemCommand="dgTitles_ItemCommand">
      
     <HeaderStyle BackColor="Navy" ForeColor="White"
        HorizontalAlign="Center" Font-Bold="True" />
   
     <AlternatingItemStyle BackColor="#dddddd" />
   
     <Columns>
       <asp:ButtonColumn Text="Add to Cart" />
       <asp:BoundColumn DataField="title" HeaderText="Title" />     
     </Columns>
  </asp:datagrid>
</form>
