CREATE PROCEDURE sp_PageThroughData
(
	@PageSize	int,
	@CurrentPage	int
)
AS

CREATE TABLE #CommentTempTable
(
  IncreasingID 		int 	IDENTITY(1,1),
  OtherID 		int
)

-- Now, populate the temporary table
INSERT INTO #CommentTempTable (OtherID)
SELECT CommentID
FROM Comments
ORDER BY CommentID ASC

-- Finally, return the records
SELECT IncreasingID, Comments.*
FROM #CommentTempTable
  INNER JOIN Comments ON
    Comments.CommentID = #CommentTempTable.OtherID
WHERE IncreasingID > @PageSize * @CurrentPage
     AND IncreasingID <= (@PageSize+1) * @CurrentPage