<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">
    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        BindData()
      End If
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = _
        "SELECT CommentID, Name, Comment, DateAdded FROM Comments ORDER BY CommentID"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgComments.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgComments.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    
    Sub dgComments_EditRow(sender As Object, e As DataGridCommandEventArgs)
      dgComments.EditItemIndex = e.Item.ItemIndex
      BindData()
    End Sub

    Sub dgComments_UpdateRow(sender As Object, e As DataGridCommandEventArgs)
      'Get information from columns...
      'Update the database...
      
      dgComments.EditItemIndex = -1
      BindData()
    End Sub

    Sub dgComments_CancelRow(sender As Object, e As DataGridCommandEventArgs)
      dgComments.EditItemIndex = -1
      BindData()
    End Sub

</script>
<form runat="server">
  <asp:DataGrid runat="server" id="dgComments"
      Font-Name="Verdana" Font-Size="9pt" CellPadding="5"
      AlternatingItemStyle-BackColor="#dddddd"
      AutoGenerateColumns="False" DataKeyField="CommentID"
      OnEditCommand="dgComments_EditRow"
      OnUpdateCommand="dgComments_UpdateRow"
      OnCancelCommand="dgComments_CancelRow">     

    <HeaderStyle BackColor="Navy" ForeColor="White" Font-Size="13pt"
              Font-Bold="True" HorizontalAlign="Center" />
    
    <Columns>
      <asp:EditCommandColumn ButtonType="LinkButton" HeaderText="Edit"
            EditText="Edit" UpdateText="Update" CancelText="Cancel" />
      <asp:BoundColumn DataField="CommentID"
                HeaderText="Comment ID" ReadOnly="True" />
      <asp:BoundColumn DataField="Name" HeaderText="Name" />
      <asp:BoundColumn DataField="Comment" HeaderText="Comment" />
      <asp:BoundColumn DataField="DateAdded" HeaderText="Date Added"
                ReadOnly="True" />
    </Columns>
  </asp:DataGrid>
</form>
